package org.choub.minecraft.launcher;

import org.choub.minecraft.launcher.impl.ILauncherConfiguration;
import org.choub.minecraft.launcher.task.TaskManager;


public class LauncherContext {

	private ILauncherConfiguration configuration;
	private TaskManager taskManager;

	public LauncherContext(ILauncherConfiguration configuration) {
		this.configuration = configuration;
		this.taskManager = new TaskManager(this);
	}

	public ILauncherConfiguration getConfiguration() {
		return configuration;
	}

	public TaskManager getTaskManager() {
		return taskManager;
	}

}
