package org.choub.minecraft.launcher.task;

import java.net.URI;


public class UpdateTask extends BackgroundTask {

	private static final String CONFIG_FILENAME = "server-config.xml";

	@Override
	public void executeTask() {

		URI uri = URI.create(getContext().getConfiguration().getConfigurationURL());

		DownloadTask task = new DownloadTask(uri, CONFIG_FILENAME);
		getContext().getTaskManager().run(task);

	}
}
